@use "colors";
@use "fonts";
@use "typography";

.milestone {
  >.milestones-container {
    background-position: top;
    background-size: cover;
    padding: 1rem;

    >.milestone-entry {
      font-family: fonts.$header-font !important;
      font-size: typography.$default-font-size !important;

      p {
        margin-block-end: 0 !important;
      }
    }

    :not(:last-child) {
      &.milestone-entry {
        &::after {
          content: "";
          display: inline-block;
          height: 15vw;
          vertical-align: bottom;
          margin: 0.5em 2px;
          border-left: 2px solid colors.$black;
        }
      }
    }
  }
}